- Home
- API Enriched
- Ddos
- infraprotect
- Add Event Detail.
Add Event Detail.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/event/example/details';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"attachments":[{"attachment_id":"example","attachment_type":"ATTACHMENT_TYPE_UNKNOWN","end_time":"2026-04-15T12:00:00Z","gos_name":"example","gos_version":"example","name":"example","size_bytes":"example","start_time":"2026-04-15T12:00:00Z"}],"description":"example","event_id":"example","namespace":"example","time":"2026-04-15T12:00:00Z","title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/event/example/details \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "attachments": [ { "attachment_id": "example", "attachment_type": "ATTACHMENT_TYPE_UNKNOWN", "end_time": "2026-04-15T12:00:00Z", "gos_name": "example", "gos_version": "example", "name": "example", "size_bytes": "example", "start_time": "2026-04-15T12:00:00Z" } ], "description": "example", "event_id": "example", "namespace": "example", "time": "2026-04-15T12:00:00Z", "title": "example" }'Adds a single event detail to an event.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Event ID Event ID we want to list the event details for.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to add a single event detail to an event.
object
All attachments on an event details.
Event attachment record (pcap, or any arbitrary file)
object
ID of the attachment.
End time as an RFC3339 string.
Generic object storage name of the attachment.
Generic object storage version of the attachment.
Name of the attachment.
Size of the attachment.
Start time as an RFC3339 string.
Description of the event detail.
Event ID we want to list the event details for.
This request is supported only in system namespace.
Time of the event detail Format: RFC3339.
Title of the event of the event detail.
Responses
Section titled “Responses”A successful response.
Event detail as stored in the backend.
object
object
All attachments on an event details.
Event attachment record (pcap, or any arbitrary file)
object
ID of the attachment.
End time as an RFC3339 string.
Generic object storage name of the attachment.
Generic object storage version of the attachment.
Name of the attachment.
Size of the attachment.
Start time as an RFC3339 string.
Creator of the event detail.
Textual description of the event detail record.
ID of the event detail used to uniquely identify it.
Time the event details applies to. Details can be added retrospectively this fields allow pin point to detail to a specific time. The value must fall within the event time range.
Title of the event detail.
Example
{ "detail": { "attachments": [ { "attachment_type": "ATTACHMENT_TYPE_UNKNOWN" } ] }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example